Pular para o conteúdo principal
DELETE
/
api
/
v1
/
search
/
text-store
/
stores
/
{store_name}
/
texts
Python (SDK)
from openapi import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.search.text_store.delete_texts(store_name="<value>", x_api_key_id="<id>", x_user_id="<id>", x_exchange_jwt_external_user_id="<id>", texts=[
        "USB-C charging cable with braided nylon sleeve",
    ], groups=[
        "electronics_q1_2026",
    ])

    # Handle response
    print(res)
{
  "deleted_count": 2,
  "message": "Successfully deleted 2 texts"
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

x-api-key-id
string
obrigatório
x-user-id
string
obrigatório
x-exchange-jwt-external-user-id
string
obrigatório

Parâmetros de caminho

store_name
string
obrigatório

Corpo

application/json

Pedido para deletar textos de uma loja.

texts
string[] | null

Textos específicos para deletar (opcional)

groups
string[] | null

Excluir todos os textos com esses identificadores de grupo (opcional)

Resposta

Resposta Bem-Sucedida

Resposta após a exclusão de textos.

deleted_count
integer
obrigatório

Número de textos excluídos

message
string
obrigatório

Mensagem de status da operação